<html  lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" >
	<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  
    
     <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/bootstrap.min.css">
    <link rel="stylesheet" href="/CSS/layout.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
	<script src="/jquery-3.6.0.min.js" ></script>
    <script src="/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <style>
      
      body{
        background-color: rgb(52,166,224);
        background-image: linear-gradient(0deg, rgba(99,200,251,1) 0%, rgba(227,242,253,1) 100%);
        background-repeat: no-repeat;
        background-attachment: fixed;



      }

      a:link {
        text-decoration: none;
    }
    
     .bg-dodger{
       background-color: dodgerblue;
       border-color: dodgerblue;
     }
     .btn-outline-primary.custom{
      background-color: #fff;
     }
     .btn-outline-primary.custom:hover{
      background-color:#007bff;;

     }
     .text-dodger {
       color: dodgerblue;
     }
     .bar-menu:hover{
        font-size: 0,5em;
     }
     .text-red{
       color: red;
     }

 </style>
    <title>Hello, world!</title>
  </head>
  <body>
      <nav class="navbar navbar-expand-lg navbar-light navbar-custom" style="background-color:transparent">
       <span style="color: Dodgerblue;">  <i class="fas fa-first-aid fa-2x nav-bar"> <strong style="font-family: Helvetica;"> Med.id</strong></i></span>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto ml-auto">
                <li class="nav-item">
                    <div class="justify-content-md-center">
                        <form class="form-inline my-2 my-lg-0 my-lg-0">
                          <div class="input-group-prepend">
                            <input class="form-control sm-2 " type="text" placeholder="Cari Dokter atau Faskes" aria-label="Search" style="width: 43vw;">
                            <button type="button" class="btn btn-primary mr-sm-2"><i class="fas fa-search"></i></button>
                          
                          </div>
                        </form>
                    </div>
                </li>
            </ul>
            <button type="button" class="btn btn-outline-primary custom  mr-sm-2">Daftar</button>
            <button type="button" class="btn btn-primary mr-sm-2" onclick="loginModal()">Masuk</button>
        </div>
    </nav>
	<div class="container-fluid bg-light">
        <div class="row">
	        <div class="col-sm-2"></div>
	        <div class="col "  > 
	        	<div class="modal fade" id="landPageModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
		          <div class="modal-dialog" role="document">
		            <div class="modal-content">
		              <div class="modal-header border-0">
		                <h3 class="modal-title text-dodger" id="exampleModalLabel">Modal title</h3>
		                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		                  <span aria-hidden="true">&times;</span>
		                </button>
		              </div>
		              <div class="modal-body">
		                <form>
		                  <div class="form-group">
		                    <label for="exampleInputEmail1">E-mail*</label>
		                    <input type="email" class="form-control" id="loginEmail"  aria-describedby="emailHelp" placeholder="Masukan E-mail" required>
		                    <small id="emailHelp" class="form-text text-muted text-red"> </small>
		                  </div>
		                  <div class="form-group">
		                    <label for="exampleInputPassword1">Password*</label>
		                    <div class="input-group" id="show_hide_password">
		                      <div class="input-group-prepend">
		                        <span class="input-group-text" id="passwordEyeClose"> <a href="#"><i  id="eyeClose" onclick="showHidePass()" class="fa fa-eye-slash" aria-hidden="true"></i></a></span>
		                      </div>
		                      <input type="password" class="form-control" id="loginPassword"  placeholder="Password" required>
		                     
		                  </div>
		                    <small id="passwordHelp" class="form-text text-muted text-red"> </small>
		                  </div>
		                  <div class=" text-center ">
		                  <input type="button" onclick="login()" class="mx-auto btn btn-primary btn-lg" value="Masuk"></input><br><br>
		                  <a class="text-muted" href="#"> Lupa Password ?</a><br>
		                  <a class="text-muted" >atau  </a><br>
		                  <a class="text-muted" href="#"> Belum memiliki akun? Daftar</a><br>
		                  </div>
		                </form>
		              </div>
		            
		            </div>
		          </div>
		        </div>
	        
	        
	        	<br>
				 <div class="card-columns mx-auto">
		            
		           
		          	 <div th:each="item:${menu}" class="card border-light" style="width: 13rem;background-color: transparent;">
		              <img th:src="@{${'/img/' + item.BigIcon}}" alt="icon-menu" height="50%" >
		              <div class="card-body">
		                <strong><a th:href="@{${item.Url}}" th:text="${item.Name}"></a></strong>
		              </div>   
		           	</div>
		           
		         </div>
		          
       
        </div>
      </div>
  </div>

	
    <script>
    
       function loginModal(){
          $("#landPageModal").modal("show");
          $(".modal-title").html("Masuk");
        }
      
      var role_id='1'
      var menu='';
      menu = '<div class="card border-light"  style="width: 13rem;background-color: transparent;"><img  class="for-icon"  alt="icon-menu" width="60%" ><div class="card-body "><strong><a class="card-text for-url" ><a></strong></div></div>'
      
        
        //---- login ------------------------------------------------------
        
        function login(){
			var email = $('#loginEmail').val();
			var password = $('#loginPassword').val();
			checkLoginEmail(email);
			checkLoginPassword(password)
			
			
			
			$.ajax({
				url:'/api/login/email/'+email,
				type:'get',
				contentType:'application/json',
				success:function(data){
					console.log(data)
					if(data){
						$('#emailHelp').html('');
						$('#loginEmail').removeClass('is-invalid');
			            $('#loginEmail').addClass('is-valid');
			           
			         	$.ajax({
							url:'/api/login/password/'+email+'/'+password,
							type:'get',
							contentType:'application/json',
							success:function(data){
								console.log(data)
								 if (data){
						          	localStorage.setItem("roleId",data.roleId);
						          	localStorage.setItem("bioId",data.biodataId);
						          	localStorage.setItem("userId",data.id);
						          	localStorage.setItem("Login",true);
						          	window.location.replace("/beranda")
						          	
									
						          }
						          else{
						            $('#loginPassword').addClass('is-invalid');
						            $('#loginPassword').removeClass('is-valid');
						            $('#passwordHelp').html('Password Salah!');
						            
						          }
								
							}
							
						})
			            
					}
					else{
						$('#emailHelp').html('Email Salah!');
						$('#loginEmail').removeClass('is-valid');
			            $('#loginEmail').addClass('is-invalid');
					}
					
					
					
				}
				
			})
		}
        
        function checkLoginEmail(values){
 
          //$.ajax({})
         if (!values=="" ){
            $('#loginEmail').removeClass('is-invalid');
            $('#emailHelp').html('');
          }
          else{
            $('#loginEmail').removeClass('is-valid');
            $('#loginEmail').addClass('is-invalid');
            $('#emailHelp').html('Email Tidak Boleh Kosong!');
          }
        }

        function checkLoginPassword(values){
     
         
          //$.ajax({})
          if (!values == ""){
            $('#loginPassword').removeClass('is-invalid');
            $('#passwordHelp').html('');
          }
          else{
            $('#loginPassword').removeClass('is-valid');
            $('#loginPassword').addClass('is-invalid');
            $('#passwordHelp').html('Password Tidak Boleh Kosong!');
          }
        }

        function showHidePass(){
          if ($('#loginPassword').attr('type') =="password") {
            $('#eyeClose').removeClass('fa-eye-slash');
            $('#eyeClose').addClass('fa-eye');
            $('#loginPassword').attr('type','text');
           
          }
          else{
            $('#eyeClose').removeClass('fa-eye');
            $('#eyeClose').addClass('fa-eye-slash');
            $('#loginPassword').attr('type','password');
          }
        }



       
    </script>        
	        
    
 </body>
  
  
</html >